Get the current energy price
GET
/api/v1/pricing
const url = 'https://trongas.ai/api/v1/pricing';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://trongas.ai/api/v1/pricingCurrent energy price in TRX. Public — no API key required. Returns 503 with code pricing.unavailable while the upstream price source is unreachable.
Responses
Section titled “Responses”OK
object
unitPriceSun
required
string
pricePer100kTrx
required
string
trxUsdRate
required
string
burnCostTrx
required
string
source
required
string
asOf
required
string format: date-time
object
unitPriceSun
required
string
pricePer100kTrx
required
string
trxUsdRate
required
string
burnCostTrx
required
string
source
required
string
asOf
required
string format: date-time
Examplegenerated
{ "unitPriceSun": "example", "pricePer100kTrx": "example", "trxUsdRate": "example", "burnCostTrx": "example", "source": "example", "asOf": "2026-04-15T12:00:00Z"}object
unitPriceSun
required
string
pricePer100kTrx
required
string
trxUsdRate
required
string
burnCostTrx
required
string
source
required
string
asOf
required
string format: date-time
Examplegenerated
{ "unitPriceSun": "example", "pricePer100kTrx": "example", "trxUsdRate": "example", "burnCostTrx": "example", "source": "example", "asOf": "2026-04-15T12:00:00Z"}